<?php

 
class Gmuhasebe_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }
    
	 /*
     * Genel Muhasebe İçin çalısan muhasebe ve genel muhasebe alıp tarihe göre sıralıyoruz
     */
	
	 function get_genel_muhasebe_admin()
    {
     //1 GELİR 2 GİDER 3 BEKLEME
	 // id Tür Tarih Açıklama Fiyat 
	 $yenigenelmuhasebe=array(); 
	 
	 $this->db->order_by('id', 'desc');
     $gmuhasebe=$this->db->get('gmuhasebe')->result_array();
	 
	 $this->db->order_by('id', 'desc');
     $cmuhasebe = $this->db->get('cmuhasebe')->result_array();
	 
				//Genel Muhasebe 	
				foreach($gmuhasebe as $g){ 
	 					
						if($g['calisan']!=0) 
						{
							$aciklama=$g['aciklama']." Çalışan Adı " .isimogren('yapan', $g['calisan']);
							
						}else if($g['musteri']!=0)
						{
							$aciklama=$g['aciklama']." Müşteri Adı " .isimogren('musteri', $g['musteri']);
						
						}else{
							$aciklama=$g['aciklama'];
						};
						
					$yenigenelmuhasebe[] = array( 
									'id' =>$g['id'],
									'tur' =>$g['tur'],
									'aciklama' =>$aciklama,
									'fiyat' =>$g['fiyat'],
									'tarih' =>$g['tarih']
						);
				} 
				
				
					
				//Çalışan  Muhasebe 	
				foreach($cmuhasebe as $c){ 
				
						if($c['durum']==0) 
						{
							//bekleme
							$tur=3;
							$tarih=date('Y-m-d');
							
							
							$ci = & get_instance();

							$ci->db-> where('id', $c['isler']);

							$query = $ci->db-> get('isler')->row_array();

							$musteriid= $query['musteri'];
							$yapanid= $query['yapan'];
							$isturid= $query['istur'];
							
							$musteriad=isimogren('musteri', $musteriid);
							$yapanad=isimogren('yapan', $yapanid);
							$isturad=isimogren('istur', $isturid);
							
							//$musteriad = ekgetir($musteriad);
							
							$aciklama=$yapanad." adlı çalışan ".$musteriad. " , onaylanan " .$isturad. " işi için ödeme bekliyor. ";
							
							
						}else  if($c['durum']==1) 
						{
							$tur=2;
							$tarih=$c['tarih'];
							
							$ci = & get_instance();

							$ci->db-> where('id', $c['isler']);

							$query = $ci->db-> get('isler')->row_array();

							$musteriid= $query['musteri'];
							$yapanid= $query['yapan'];
							$isturid= $query['istur'];
							
							$musteriad=isimogren('musteri', $musteriid);
							$yapanad=isimogren('yapan', $yapanid);
							$isturad=isimogren('istur', $isturid);
							
							//$musteriad = ekgetir($musteriad);
							
							$aciklama=$yapanad." adlı çalışan ".$musteriad. " Müşterinisnin, onaylanan " .$isturad. " işi için ödeme Yapıldı.";
							
						
						};
						
						$yenigenelmuhasebe[] = array( 
									'id' =>$c['id'],
									'tur' =>$tur,
									'isler' =>$c['isler'],
									'aciklama' =>$aciklama,
									'fiyat' =>$c['fiyat'],
									'tarih' =>$tarih
						);
				} 
				
				
				
				
			//Tarihe Göre Sıralama
			usort($yenigenelmuhasebe, function($a1, $a2) {
		   $v1 = strtotime($a1['tarih']);
		   $v2 = strtotime($a2['tarih']);
		   return $v2 - $v1; // $v2 - $v1 to reverse direction
					});
			
		
		return $yenigenelmuhasebe;

    }
	
	/*
     * sadece alacakları getiriyoruz
     */
    function get_all_gmuhasebe_alacak()
    {
        return $this->db->query("SELECT * FROM  gmuhasebe Where tur=4 ORDER BY tarih ASC")->result_array();
    }
	
	/*
     * sadece gelirgiderlerialıyoruz  getiriyoruz
     */
    function get_all_gmuhasebe_gelirgider()
    {
        return $this->db->query("SELECT * FROM  gmuhasebe Where tur!=4 ORDER BY tarih ASC")->result_array();
    }
      
	function get_calisan_muhasebe_sorgu($calisan,$bastarih,$bittarih)
    {
	
	  //1 GELİR 2 GİDER 3 BEKLEME
	 // id Tür Tarih Açıklama Fiyat 
	 $yenigenelmuhasebe=array(); 
	 

     $gmuhasebe=$this->db->query("SELECT * FROM  gmuhasebe Where calisan=$calisan and tarih BETWEEN '$bastarih' and '$bittarih' ORDER BY tarih ASC")->result_array();

     $cmuhasebe = $this->db->query("SELECT * FROM  cmuhasebe Where calisan=$calisan and tarih BETWEEN '$bastarih' and '$bittarih' ORDER BY tarih ASC")->result_array();
	 
				//Genel Muhasebe 	
				foreach($gmuhasebe as $g){ 
	 					
						if($g['calisan']!=0) 
						{
							$aciklama=$g['aciklama']." Çalışan Adı " .isimogren('yapan', $g['calisan']);
							
						}else if($g['musteri']!=0)
						{
							$aciklama=$g['aciklama']." Müşteri Adı " .isimogren('musteri', $g['musteri']);
						
						}else{
							$aciklama=$g['aciklama'];
						};
						
					$yenigenelmuhasebe[] = array( 
									'id' =>$g['id'],
									'tur' =>$g['tur'],
									'aciklama' =>$aciklama,
									'fiyat' =>$g['fiyat'],
									'tarih' =>$g['tarih']
						);
				} 
				
				
					
				//Çalışan  Muhasebe 	
				foreach($cmuhasebe as $c){ 
				
						$isid=$c['isler'];
						
						if($c['durum']==0) 
						{
							//bekleme
							$tur=3;
							$tarih=date('Y-m-d');
							
							
							
							$ci = & get_instance();

							$ci->db-> where('id', $isid);

							$query = $ci->db-> get('isler')->row_array();
							
							$musteriid= $query['musteri'];
							$yapanid= $query['yapan'];
							$isturid= $query['istur'];
							
							$musteriad=isimogren('musteri', $musteriid);
							$yapanad=isimogren('yapan', $yapanid);
							$isturad=isimogren('istur', $isturid);
							
							//$musteriad = ekgetir($musteriad);
							
							$aciklama=$yapanad." adlı çalışan ".$musteriad. " , onaylanan " .$isturad. " işi için ödeme bekliyor. ";
							
							
						}else  if($c['durum']==1) 
						{
							//Ödeme Yapılmış
							$tur=2;
							$tarih=$c['tarih'];
							
							$ci = & get_instance();

							$ci->db-> where('id', $isid);

							$query = $ci->db-> get('isler')->row_array();

							$musteriid= $query['musteri'];
							$yapanid= $query['yapan'];
							$isturid= $query['istur'];
							
							$musteriad=isimogren('musteri', $musteriid);
							$yapanad=isimogren('yapan', $yapanid);
							$isturad=isimogren('istur', $isturid);
							
							//$musteriad = ekgetir($musteriad);
							
							$aciklama=$yapanad." adlı çalışan ".$musteriad. " Müşterinisnin, onaylanan " .$isturad. " işi için ödeme Yapıldı.";
							
						
						};
						
					$yenigenelmuhasebe[] = array( 
									'id' =>$c['id'],
									'tur' =>$tur,
									'isler' =>$isid,
									'aciklama' =>$aciklama,
									'fiyat' =>$c['fiyat'],
									'tarih' =>$tarih
						);
				} 
				
				
				
				
			//Tarihe Göre Sıralama
			usort($yenigenelmuhasebe, function($a1, $a2) {
		   $v1 = strtotime($a1['tarih']);
		   $v2 = strtotime($a2['tarih']);
		   return $v2 - $v1; // $v2 - $v1 to reverse direction
					});
			
		
			return $yenigenelmuhasebe;

	
	
	
	
	}
	
	function get_musteri_muhasebe_sorgu($musteri,$bastarih,$bittarih)
    {
		
	 //1 GELİR 2 GİDER 3 BEKLEME
	 // id Tür Tarih Açıklama Fiyat 
	 $yenigenelmuhasebe=array(); 
	 

     $gmuhasebe=$this->db->query("SELECT * FROM  gmuhasebe Where musteri=$musteri and tarih BETWEEN '$bastarih' and '$bittarih' ORDER BY tarih ASC")->result_array();

  
				//Genel Muhasebe 	
				foreach($gmuhasebe as $g){ 
	 					
						if($g['calisan']!=0) 
						{
							$aciklama=$g['aciklama']." Çalışan Adı " .isimogren('yapan', $g['calisan']);
							
						}else if($g['musteri']!=0)
						{
							$aciklama=$g['aciklama']." Müşteri Adı " .isimogren('musteri', $g['musteri']);
						
						}else{
							$aciklama=$g['aciklama'];
						};
						
					$yenigenelmuhasebe[] = array( 
									'id' =>$g['id'],
									'tur' =>$g['tur'],
									'aciklama' =>$aciklama,
									'fiyat' =>$g['fiyat'],
									'tarih' =>$g['tarih']
						);
				} 
				
				
					
								
				
			//Tarihe Göre Sıralama
			usort($yenigenelmuhasebe, function($a1, $a2) {
		   $v1 = strtotime($a1['tarih']);
		   $v2 = strtotime($a2['tarih']);
		   return $v2 - $v1; // $v2 - $v1 to reverse direction
					});
			
		
			return $yenigenelmuhasebe;


	
	}
    /*
     * Get gmuhasebe by id
     */
    function get_gmuhasebe($id)
    {
        return $this->db->get_where('gmuhasebe',array('id'=>$id))->row_array();
    }
        
    /*
     * Get all gmuhasebe
     */
    function get_all_gmuhasebe()
    {
        $this->db->order_by('id', 'desc');
        return $this->db->get('gmuhasebe')->result_array();
    }
       


	   
    /*
     * function to add new gmuhasebe
     */
    function add_gmuhasebe($params)
    {
        $this->db->insert('gmuhasebe',$params);
        return $this->db->insert_id();
    }
    
    /*
     * function to update gmuhasebe
     */
    function update_gmuhasebe($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('gmuhasebe',$params);
    }
    
    /*
     * function to delete gmuhasebe
     */
    function delete_gmuhasebe($id)
    {
        return $this->db->delete('gmuhasebe',array('id'=>$id));
    }
}
